<?php

namespace Modules\Evaluation\Rules;

use Psr\Http\Message\ServerRequestInterface;

class Rater
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function editGroupOfRaters(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function deleteGroupOfRaters(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function ratersListForGroup(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function ratersListForCampaign(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }
    
    public function ratersListForSupplier(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function addRaterToGroup(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function addRaterToCampaign(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function newExternalRater(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function validateNewRaters(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function removeRaterFromCampaign(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }
    
    public function confirmedRaterRemoval(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function removeRaterFromGroup(): bool
    {
        if (!$this->main->campaignCreatEditAccess()) {
            return false;
        }

        return true;
    }


    /**
     * @return bool
     */
    public function index(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ratersTable(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function chooseOriginOfRater(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function export(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function importIndex(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function import(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function importSummary(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function raterImportIndex(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function raterImport(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function raterImportSummary(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function informations(): bool
    {
        return true;
    }
}
